Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.kif
Class CycBulkAssertions

    java.lang.Object
      |
      +--org.opencyc.kif.CycBulkAssertions

Direct Known Subclasses:
  KifFileLoader

public class CycBulkAssertions
extends java.lang.Object

Provides the behavior and attributes of OpenCyc CycBulkAssertions.

Author:
  Douglas R. Miles

Field Summary
`protected CycAssertionsFactory` | `cycAccess` Cyc api support.
`protected java.util.ArrayList` | `cycAssertionsForBaseKB`
`protected java.util.ArrayList` | `cycOrderedAssertions`
`protected CycConstant` | `defaultCyclist`
`protected CycFort` | `defaultMt`
`protected CycConstant` | `defaultProject`
`boolean` | `isTestedClean`
`static int` | `verbosity` Verbosity indicator `0` indicates quiet on a range of `0` ...

Constructor Summary
`CycBulkAssertions(CycAssertionsFactory ca)` Constructs a new CycBulkAssertions.

Method Summary
`boolean` | `addSentence(CycList sentence)` Adds the sentence (String) to this AssertionCollection.
`void` | `commitAssertions(boolean b, java.io.Writer feedbackMl)`
`void` | `commitAssertions(java.io.Writer feedbackMl)` Adds the AssertionCollection to defaultMt
`java.lang.String` | `cyclify()` Returns a cyclified `String` representation of the `CycBulkAssertions`.
`boolean` | `equals(java.lang.Object object)` Indicates whether the object is equal to this object.
`CycConstant` | `getDefaultCyclist()`
`CycFort` | `getDefaultMt()` Returns the defaultMt for this CycBulkAssertions.
`CycConstant` | `getDefaultProject()` Returns the defaultProject for this CycBulkAssertions.
`void` | `resetAll()`
`void` | `setDefaultCyclist(CycConstant cyclist)` Sets the defaultCyclist for this CycBulkAssertions.
`void` | `setDefaultCyclist(java.lang.String cyclist)` Sets the defaultCyclist for this CycBulkAssertions.
`CycFort` | `setDefaultMt(CycFort mt)` Sets the defaultMt for this CycBulkAssertions.
`CycFort` | `setDefaultMt(java.lang.String mt)` Sets the defaultMt for this CycBulkAssertions.
`void` | `setDefaultProject(CycConstant project)` Sets the defaultProject for this CycBulkAssertions.
`void` | `setDefaultProject(java.lang.String project)` Sets the defaultProject for this CycBulkAssertions.
`boolean` | `testAssertions()` Tests this AssertionCollection per defaultMt
`boolean` | `testAssertionsHtml(java.io.Writer feedbackMl)`
`java.lang.String` | `toString()` Returns a `String` representation of the `CycBulkAssertions`.
`void` | `writeAssertions(java.io.Writer feedbackMl)`
`void` | `writeAssertions(java.io.Writer feedbackMl, java.util.ArrayList cycArrayList)` Displays the cycArrayList to Mt
`void` | `writeAssertionsCycL(java.io.Writer feedbackMl)`
`void` | `writeAssertionsCycL(java.io.Writer feedbackMl, java.util.ArrayList cycArrayList)` Displays the cycArrayList to Mt

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cycAccess

    protected CycAssertionsFactory cycAccess

  Cyc api support.

### defaultCyclist

    protected CycConstant defaultCyclist

### defaultProject

    protected CycConstant defaultProject

### defaultMt

    protected CycFort defaultMt

### cycAssertionsForBaseKB

    protected java.util.ArrayList cycAssertionsForBaseKB

### cycOrderedAssertions

    protected java.util.ArrayList cycOrderedAssertions

### isTestedClean

    public boolean isTestedClean

### verbosity

    public static int verbosity

  Verbosity indicator `0` indicates quiet on a range of `0` ... `10`

Constructor Detail

### CycBulkAssertions

    public CycBulkAssertions(CycAssertionsFactory ca)
                      throws java.lang.Exception

  Constructs a new CycBulkAssertions.
  Parameters:
    `ca` - the cycAccess for this CycBulkAssertions

Method Detail

### resetAll

    public void resetAll()

### getDefaultMt

    public CycFort getDefaultMt()

  Returns the defaultMt for this CycBulkAssertions.
  Returns:
    the defaultMt for this CycBulkAssertions

### setDefaultMt

    public CycFort setDefaultMt(java.lang.String mt)
                         throws java.lang.Exception

  Sets the defaultMt for this CycBulkAssertions.

### setDefaultMt

    public CycFort setDefaultMt(CycFort mt)
                         throws java.lang.Exception

  Sets the defaultMt for this CycBulkAssertions.

### getDefaultProject

    public CycConstant getDefaultProject()

  Returns the defaultProject for this CycBulkAssertions.
  Returns:
    the defaultProject for this CycBulkAssertions

### setDefaultProject

    public void setDefaultProject(java.lang.String project)
                           throws java.lang.Exception

  Sets the defaultProject for this CycBulkAssertions.

### setDefaultProject

    public void setDefaultProject(CycConstant project)
                           throws java.lang.Exception

  Sets the defaultProject for this CycBulkAssertions.

### getDefaultCyclist

    public CycConstant getDefaultCyclist()

### setDefaultCyclist

    public void setDefaultCyclist(java.lang.String cyclist)
                           throws java.lang.Exception

  Sets the defaultCyclist for this CycBulkAssertions.

### setDefaultCyclist

    public void setDefaultCyclist(CycConstant cyclist)
                           throws java.lang.Exception

  Sets the defaultCyclist for this CycBulkAssertions.

### equals

    public boolean equals(java.lang.Object object)

  Indicates whether the object is equal to this object.
  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    `true` if the object is equal to this object, otherwise returns `false`

### toString

    public java.lang.String toString()

  Returns a `String` representation of the `CycBulkAssertions`.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a `String` representation of the `CycBulkAssertions`

### cyclify

    public java.lang.String cyclify()

  Returns a cyclified `String` representation of the `CycBulkAssertions`.
  Returns:
    a cyclified `String` representation of the `CycBulkAssertions`

### addSentence

    public boolean addSentence(CycList sentence)

  Adds the sentence (String) to this AssertionCollection.
  Parameters:
    `String` - of the sentence for this CycBulkAssertions

### testAssertions

    public boolean testAssertions()

  Tests this AssertionCollection per defaultMt

### commitAssertions

    public void commitAssertions(java.io.Writer feedbackMl)
                          throws java.lang.Exception

  Adds the AssertionCollection to defaultMt

### commitAssertions

    public void commitAssertions(boolean b,
                                 java.io.Writer feedbackMl)
                          throws java.lang.Exception

### writeAssertions

    public void writeAssertions(java.io.Writer feedbackMl)

### writeAssertionsCycL

    public void writeAssertionsCycL(java.io.Writer feedbackMl)

### writeAssertions

    public void writeAssertions(java.io.Writer feedbackMl,
                                java.util.ArrayList cycArrayList)

  Displays the cycArrayList to Mt
  Parameters:
    `mt` - for sentences for this CycBulkAssertions

### writeAssertionsCycL

    public void writeAssertionsCycL(java.io.Writer feedbackMl,
                                    java.util.ArrayList cycArrayList)

  Displays the cycArrayList to Mt
  Parameters:
    `mt` - for sentences for this CycBulkAssertions

### testAssertionsHtml

    public boolean testAssertionsHtml(java.io.Writer feedbackMl)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD